APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Any updates made to an accessReviewScheduleDefinition only apply to future instances. Currently running instances cannot be updated.
Additionally, this API is not intended to update properties, including decisions, on the accessReviewInstance level. See accessReviewInstance for more information on instances.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
Permission type
Permissions (from least to most privileged)
Delegated (work or school account)
AccessReview.ReadWrite.All
Delegated (personal Microsoft account)
Not supported.
Application
AccessReview.ReadWrite.All
HTTP request
PUT /identityGovernance/accessReviews/definitions/{review-id}
A collection of reviewer scopes used to define the list of fallback reviewers who are notified to take action if no users are found from the list of reviewers specified. This could occur when either the group owner is specified as the reviewer but the group owner does not exist, or manager is specified as reviewer but a user's manager does not exist.
Defines who the reviewers are. If none are specified, the review is a self-review (users review their own access). The reviewers property is only updatable if individual users are assigned as reviewers. See accessReviewReviewerScope.
Defines how many stages each instance of an access review series will have. Stages will be created sequentially based on the dependsOn property. Each stage can have different set of reviewer, fallback reviewers and settings. Only reviewers and fallback reviewers are updatable. See accessReviewStageSettings. Optional.
This property has been replaced by fallbackReviewers. However, specifying either backupReviewers or fallbackReviewers automatically populates the same values to the other property.
A PUT request expects the full object to be passed in, which includes all writable properties, not just the properties being updated.
Response
If successful, this method returns a 204 No Content response code and no response body.
Examples
This is an example of updating the displayName of an existing access review series.
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var accessReviewScheduleDefinition = new AccessReviewScheduleDefinition
{
Id = "60860cdd-fb4d-4054-91ba-f75e04444aa6",
DisplayName = "Test world UPDATED NAME!",
DescriptionForAdmins = "Test world",
DescriptionForReviewers = "Test world",
Scope = new AccessReviewQueryScope
{
Query = "/groups/b7a059cb-038a-4802-8fc9-b9d1ed0cf11f/transitiveMembers",
QueryType = "MicrosoftGraph"
},
InstanceEnumerationScope = new AccessReviewQueryScope
{
Query = "/groups/b7a059cb-038a-4802-8fc9-b9d1ed0cf11f",
QueryType = "MicrosoftGraph"
},
Reviewers = new List<AccessReviewReviewerScope>()
{
},
Settings = new AccessReviewScheduleSettings
{
MailNotificationsEnabled = true,
ReminderNotificationsEnabled = true,
JustificationRequiredOnApproval = true,
DefaultDecisionEnabled = false,
DefaultDecision = "None",
InstanceDurationInDays = 3,
AutoApplyDecisionsEnabled = false,
RecommendationsEnabled = true,
Recurrence = new PatternedRecurrence
{
Pattern = new RecurrencePattern
{
Type = RecurrencePatternType.Weekly,
Interval = 1
},
Range = new RecurrenceRange
{
Type = RecurrenceRangeType.NoEnd,
StartDate = new Date(2020,9,15)
}
}
}
};
await graphClient.IdentityGovernance.AccessReviews.Definitions["{accessReviewScheduleDefinition-id}"]
.Request()
.PutAsync(accessReviewScheduleDefinition);
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$requestBody = new Definition();
$additionalData = [
'id' => '60860cdd-fb4d-4054-91ba-f75e04444aa6',
'displayName' => 'Test world UPDATED NAME!',
'descriptionForAdmins' => 'Test world',
'descriptionForReviewers' => 'Test world',
'scope' => $requestBody = new Scope();
$ requestBody->set@odatatype('#microsoft.graph.accessReviewQueryScope');
$ requestBody->setQuery('/groups/b7a059cb-038a-4802-8fc9-b9d1ed0cf11f/transitiveMembers');
$ requestBody->setQueryType('MicrosoftGraph');
$requestBody->setScope($scope);
'instanceEnumerationScope' => $requestBody = new InstanceEnumerationScope();
$ requestBody->set@odatatype('#microsoft.graph.accessReviewQueryScope');
$ requestBody->setQuery('/groups/b7a059cb-038a-4802-8fc9-b9d1ed0cf11f');
$ requestBody->setQueryType('MicrosoftGraph');
$requestBody->setInstanceEnumerationScope($instanceEnumerationScope);
'reviewers' => [],
'settings' => $requestBody = new Settings();
$requestBody->setMailNotificationsEnabled(true);
$requestBody->setReminderNotificationsEnabled(true);
$requestBody->setJustificationRequiredOnApproval(true);
$requestBody->setDefaultDecisionEnabled(false);
$ requestBody->setDefaultDecision('None');
$requestBody->setInstanceDurationInDays(3);
$requestBody->setAutoApplyDecisionsEnabled(false);
$requestBody->setRecommendationsEnabled(true);
$recurrence = new Recurrence();
$recurrencePattern = new Pattern();
$ recurrencePattern->setType('weekly');
$recurrencePattern->setInterval(1);
$recurrence->setPattern($recurrencePattern);
$recurrenceRange = new Range();
$ recurrenceRange->setType('noEnd');
$ recurrenceRange->setStartDate('2020-09-15');
$recurrence->setRange($recurrenceRange);
$requestBody->setRecurrence($recurrence);
$requestBody->setSettings($settings);
];
$requestBody->setAdditionalData($additionalData);
$graphServiceClient->identityGovernance()->accessReviews()->definitionsById('accessReviewScheduleDefinition-id')->put($requestBody);
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.